Get a mailbox thread
curl --request GET \
--url https://app.sendmux.ai/api/v1/mailbox/threads/{thread_id} \
--header 'Authorization: Bearer <token>'{
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"data": {
"id": "<string>",
"subject": "<string>",
"message_count": 123,
"unread_count": 123,
"has_attachments": true,
"folder_ids": [
"<string>"
],
"participants": [
{
"email": "agent@example.com",
"name": "Support"
}
],
"last_message": {
"id": "<string>",
"thread_id": "<string>",
"folder_ids": [
"<string>"
],
"subject": "<string>",
"preview": "<string>",
"from": {
"email": "agent@example.com",
"name": "Support"
},
"to": [
{
"email": "agent@example.com",
"name": "Support"
}
],
"cc": [
{
"email": "agent@example.com",
"name": "Support"
}
],
"bcc": [
{
"email": "agent@example.com",
"name": "Support"
}
],
"received_at": "<string>",
"sent_at": "<string>",
"size_bytes": 123,
"has_attachments": true,
"keywords": [
"$seen",
"$flagged",
"agent_triaged"
],
"flags": {
"seen": true,
"flagged": true,
"draft": true,
"answered": true
}
},
"states": {
"thread_state": "<string>",
"email_state": "<string>"
},
"message_ids": [
"<string>"
]
}
}Threads
Get a mailbox thread
Returns thread metadata, message IDs, participants, last message, unread count, and state for one conversation. Responses include a weak ETag header.
GET
/
mailbox
/
threads
/
{thread_id}
Get a mailbox thread
curl --request GET \
--url https://app.sendmux.ai/api/v1/mailbox/threads/{thread_id} \
--header 'Authorization: Bearer <token>'{
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"data": {
"id": "<string>",
"subject": "<string>",
"message_count": 123,
"unread_count": 123,
"has_attachments": true,
"folder_ids": [
"<string>"
],
"participants": [
{
"email": "agent@example.com",
"name": "Support"
}
],
"last_message": {
"id": "<string>",
"thread_id": "<string>",
"folder_ids": [
"<string>"
],
"subject": "<string>",
"preview": "<string>",
"from": {
"email": "agent@example.com",
"name": "Support"
},
"to": [
{
"email": "agent@example.com",
"name": "Support"
}
],
"cc": [
{
"email": "agent@example.com",
"name": "Support"
}
],
"bcc": [
{
"email": "agent@example.com",
"name": "Support"
}
],
"received_at": "<string>",
"sent_at": "<string>",
"size_bytes": 123,
"has_attachments": true,
"keywords": [
"$seen",
"$flagged",
"agent_triaged"
],
"flags": {
"seen": true,
"flagged": true,
"draft": true,
"answered": true
}
},
"states": {
"thread_state": "<string>",
"email_state": "<string>"
},
"message_ids": [
"<string>"
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.sendmux.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.
Headers
Path Parameters
Response
Thread
Available options:
true Hide child attributes
Hide child attributes
Thread ID
Hide child attributes
Hide child attributes
Message ID
Active message keywords, including system flags and custom labels.
Example:
["$seen", "$flagged", "agent_triaged"]Was this page helpful?
⌘I